The officially official Devuan Forum!

You are not logged in.

#1 2017-11-11 11:01:36

leloft
Member
Registered: 2017-08-10
Posts: 15

Jessie to Ascii upgrade: Chromium 62.0.3202.75 vs. 62.0.3202.89-1

Upgrading from Jessie to Ascii on a remote machine. 

# apt-cache policy chromium
chromium:
  Installed: 57.0.2987.98-1~deb8u1
  Candidate: 62.0.3202.89-1~deb9u1
  Version table:
     62.0.3202.89-1~deb9u1 500
        500 http://pkgmaster.devuan.org/merged ascii-security/main amd64 Packages
     61.0.3163.100-1~deb9u1 500
        500 http://pkgmaster.devuan.org/merged ascii/main amd64 Packages
        500 http://packages.devuan.org/merged ascii/main amd64 Packages
*** 57.0.2987.98-1~deb8u1 100
        100 /var/lib/dpkg/status

# apt-get upgrade chromium
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libgnutls-deb0-28 : Depends: libnettle4 (>= 2.7) but it is not going to be installed
libhogweed2 : Depends: libnettle4 (= 2.7.1-5+deb8u2) but it is not going to be installed
E: Broken packages

# cat /etc/apt/sources.list
deb http://linux-libre.fsfla.org/pub/linux-libre/freesh freesh main
deb http://pkgmaster.devuan.org/merged/ ascii main
deb http://pkgmaster.devuan.org/merged/ ascii-updates main
deb http://pkgmaster.devuan.org/merged/ ascii-security main
deb http://pkgmaster.devuan.org/merged/ ascii-proposed-security main
deb http://pkgmaster.devuan.org/merged/ ascii-proposed main
deb http://pkgmaster.devuan.org/merged/ ascii-backports main
deb http://pkgmaster.devuan.org/merged/ ascii-proposed-updates main

#Devuan JESSIE repositories
#deb http://packages.devuan.org/merged/  jessie main
#deb http://packages.devuan.org/merged/ jessie-security main

# Devuan repositories
deb http://packages.devuan.org/merged ascii main
deb-src http://packages.devuan.org/merged ascii main

Could anyone explain the unmet dependency (libnettle 2.7.1.5)? is it a systemd thing? I'm running Chromium 62.0.3202.75 on ascii on another machine (this one); the sources.list is the same on both machines but this machine has no libnettle4.

Thanks for your time.

Last edited by leloft (2017-11-11 11:07:14)

Offline

#2 2017-11-11 11:34:48

fsmithred
Administrator
Registered: 2016-11-25
Posts: 444

Re: Jessie to Ascii upgrade: Chromium 62.0.3202.75 vs. 62.0.3202.89-1

Those libraries are only jessie. Find out why they are there.

aptitude why libgnutls-deb0-28

Maybe apt can fix the breakage...

apt-get -f install

or re-run the dist-upgrade. (I had to do that on a couple of jessie to ascii upgrades.)

Maybe tell apt which chromium you want.

apt-get install chromium=62.0.3202.89-1~deb9u1

Offline

#3 2017-11-11 12:09:08

leloft
Member
Registered: 2017-08-10
Posts: 15

Re: Jessie to Ascii upgrade: Chromium 62.0.3202.75 vs. 62.0.3202.89-1

For completeness:

fsmithred wrote:

Those libraries are only jessie. Find out why they are there.

# aptitude why libgnutls-deb0-28
Manually installed, current version 3.3.8-6+deb8u7, priority standard
No dependencies require to install libgnutls-deb0-28
fsmithred wrote:

Maybe tell apt which chromium you want.

# apt-get install chromium=62.0.3202.89-1~deb9u1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libwebp5 libwebpdemux1
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  libminizip1 libre2-3
Suggested packages:
  chromium-l10n chromium-shell chromium-driver chromium-widevine
The following packages will be REMOVED:
  libgnutls-deb0-28 libhogweed2 libnettle4
The following NEW packages will be installed:
  libminizip1 libre2-3
The following packages will be upgraded:
  chromium
1 upgraded, 2 newly installed, 3 to remove and 2 not upgraded.
Need to get 51.3 MB/51.5 MB of archives.
After this operation, 5122 kB of additional disk space will be used.
Do you want to continue? [Y/n] y

Many Thanks

Offline

#4 2017-11-11 21:52:59

fungus
Member
From: Any witch way
Registered: 2017-07-12
Posts: 364
Website

Re: Jessie to Ascii upgrade: Chromium 62.0.3202.75 vs. 62.0.3202.89-1

Shouldn't the bottom two lines on your source.list be commented out?
I don't know what you get from linux-libre, compiling your own kernels?  But if the repository only has source files and no binaries shouldn't you change deb to deb-src for that one?

The only chrome I know about is on motorcycle fenders and headlights.  And that is what I trust.

Online

#5 2017-11-11 21:56:32

fungus
Member
From: Any witch way
Registered: 2017-07-12
Posts: 364
Website

Re: Jessie to Ascii upgrade: Chromium 62.0.3202.75 vs. 62.0.3202.89-1

Your pkgmaster repositories are not right, not all are merged, some should be devuan instead of merged

Read this:  https://sysdfree.wordpress.com/151/

Online

Board footer